Skip to main content
GET
/
agent-runtimes
/
push-services
List global agent push runtime services
curl --request GET \
  --url https://api.veryfront.com/agent-runtimes/push-services \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service_name": "<string>",
      "service_key": "<string>",
      "scope_key": "<string>",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "<string>",
      "base_url": "<string>",
      "invoke_url": "<string>",
      "version": "<string>",
      "runtime": "<string>",
      "region": "<string>",
      "last_heartbeat_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "capabilities": null,
      "metadata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Response

200 - application/json

Global agent push runtime services

data
(RegisteredPushServiceTarget · object | PullWorkerTarget · object)[]
required